###################################################
### chunk number 1: setRopts
###################################################
#line 25 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
library(randomForest)
library(missForest)
options(width=70, prompt="> ", continue="+ ")
options(SweaveHooks=list(fig=function() par(mar=c(4,4,0.4,0.7)))) 


###################################################
### chunk number 2:  eval=FALSE
###################################################
## #line 81 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
## install.packages(missForest, dependencies = TRUE)


###################################################
### chunk number 3:  eval=FALSE
###################################################
## #line 116 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
## library(missForest)


###################################################
### chunk number 4: 
###################################################
#line 123 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
set.seed(81)


###################################################
### chunk number 5: iris.mis
###################################################
#line 126 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
data(iris)
iris.mis <- prodNA(iris, noNA = 0.1)
summary(iris.mis)


###################################################
### chunk number 6: 
###################################################
#line 138 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
set.seed(81)


###################################################
### chunk number 7: iris.imp
###################################################
#line 141 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
iris.imp <- missForest(iris.mis)


###################################################
### chunk number 8: irisOOBerr
###################################################
#line 155 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
iris.imp$OOBerror


###################################################
### chunk number 9: iris.imp.verb
###################################################
#line 206 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
set.seed(81)
iris.imp <- missForest(iris.mis, verbose = TRUE)


###################################################
### chunk number 10: 
###################################################
#line 213 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
iris.imp$OOBerror


###################################################
### chunk number 11: 
###################################################
#line 238 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
set.seed(84)


###################################################
### chunk number 12: esophExample
###################################################
#line 241 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
data(esoph)
esoph.mis <- prodNA(esoph, 0.05)
set.seed(96)
esoph.imp <- missForest(esoph.mis, verbose = TRUE)


###################################################
### chunk number 13: maxiterEsoph
###################################################
#line 260 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
set.seed(96)
esoph.imp <- missForest(esoph.mis, verbose = TRUE, maxiter = 6)


###################################################
### chunk number 14: muskData
###################################################
#line 275 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
X <- scan('http://stat.ethz.ch/Teaching/Datasets/musk.dat', what = 'character', sep =',')
X <- matrix(X, ncol = 169, byrow=TRUE)
rowlabels <- X[,1]
X <- X[,-c(1,2)] #remove molecule names and conformations
X <- X[,-167] #remove response
musk <- matrix(as.numeric(X), ncol = 166)


###################################################
### chunk number 15: muskBigNtree eval=FALSE
###################################################
## #line 305 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
## musk.mis <- prodNA(musk, 0.05)
## musk.imp <- missForest(musk.mis, verbose = TRUE, maxiter = 3)


###################################################
### chunk number 16: muskSmallNtree eval=FALSE
###################################################
## #line 333 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
## musk.imp <- missForest(musk.mis, verbose = TRUE, maxiter = 3, ntree = 20)


###################################################
### chunk number 17: irisStrategy eval=FALSE
###################################################
## #line 393 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
## iris.mis <- prodNA(iris, noNA = 0.1)
## iris.imp <- missForest(iris.mis)


###################################################
### chunk number 18: irisStrategy2
###################################################
#line 397 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
iris.err <- mixError(iris.imp$ximp, iris.mis, iris)
print(iris.err)


###################################################
### chunk number 19: irisError eval=FALSE
###################################################
## #line 406 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
## iris.err <- mixError(iris.imp, iris.mis, iris)


###################################################
### chunk number 20: 
###################################################
#line 418 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
set.seed(81)


###################################################
### chunk number 21: irisPerfom
###################################################
#line 421 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
iris.imp <- missForest(iris.mis, xtrue = iris, verbose = TRUE)


###################################################
### chunk number 22: errorDirect
###################################################
#line 432 "d:/Rcompile/CRANpkg/local/2.12/missForest/inst/doc/missForest_1.0.Rnw"
iris.imp$error


